{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/assign_to_account_user') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/assign_to_account_user') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {{ form_widget(buildingUnitAssignToAccountUserForm.save, {'label': 'SPEICHERN', 'id': buildingUnitAssignToAccountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 py-3 px-4">
            <h3>Sachberarbeiter:in zuweisen</h3>
            <p class="mb-3">Bitte wählen Sie aus der nachfolgenden Liste aus, welche:r Sachbearbeiter:in für das untenstehende Objekt zuständig ist.</p>
            {{ form_start(buildingUnitAssignToAccountUserForm, {'attr': {'id': buildingUnitAssignToAccountUserForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/building_unit/building_unit_assign_to_account_user_form.html.twig' with {'form': buildingUnitAssignToAccountUserForm} only %}
            {{ form_row(buildingUnitAssignToAccountUserForm._token) }}
            {{ form_end(buildingUnitAssignToAccountUserForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'property_vacancy_management/form/building_unit/building_unit_basic_data_form.html.twig' with {'form': buildingUnitBasicDataForm, 'places': places} only %}
        </div>
    </div>
{% endblock %}
